IncidentsEdit summary

Edit summary

Needs: Incidents, Read-write

Edits the Summary: root cause, follow up, follow up date and summary notes. Send only what changes.

curl -X PATCH "https://app.imploy.com.au/api/integrations/v1/incidents/123/summary" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -d '{
  "root_cause": "Wet floor",
  "follow_up": "Review cleaning schedule",
  "follow_up_date": "2026-03-09"
}'
{
  "updated": 12,
  "kind": "incident"
}
PATCH
/incidents/{id}/summary
PATCH
Base URLstring

Target server for requests. Edit to use your own host.

Bearer Token
Bearer Tokenstring
Required

An organisation access token that starts with imp_at_. Send it as Authorization: Bearer imp_at_XXXX.

An organisation access token that starts with imp_at_. Send it as Authorization: Bearer imp_at_XXXX.
path
idinteger
Required

The incident id.

Content-Typestring
Required

The media type of the request body

Options: application/json
root_causestring

Or null to clear.

follow_upstring

Or null to clear.

follow_up_datestring

YYYY-MM-DD, or null to clear.

summary_notesstring

Or null to clear.

Request Preview
Response

Response will appear here after sending the request

Authentication

header
Authorizationstring
Required

Bearer token. An organisation access token that starts with imp_at_. Send it as Authorization: Bearer imp_at_XXXX.

Path Parameters

idinteger
Required

The incident id.

Body

application/json
root_causestring

Or null to clear.

follow_upstring

Or null to clear.

follow_up_datestring

YYYY-MM-DD, or null to clear.

summary_notesstring

Or null to clear.

Responses

OK